Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/FileOpeningViewModel.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/FileOpeningViewModel.cs	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/FileOpeningViewModel.cs	(revision 13733)
@@ -0,0 +1,17 @@
+﻿using HeuristicLab.Optimization;
+
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
+{
+    /// <summary>
+    /// Opening files
+    /// </summary>
+    public class FileOpeningViewModel
+    {
+        public OptimizerHiveTask SelectedTask { get; set; }
+        public IAlgorithm SelectedAlgorithm { get; set; }
+        public Experiment SelectedExperiment { get; set; }
+        public BatchRun SelectedBatchRun { get; set; }
+        public string message { get; set; }
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/JobViewModel.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/JobViewModel.cs	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/JobViewModel.cs	(revision 13733)
@@ -0,0 +1,27 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
+{
+    /// <summary>
+    /// Keeps list of loaded jobs
+    /// </summary>
+    public class JobViewModel
+    {
+        public List<RefreshableJob> userJobs { get; set; }
+
+        public RefreshableJob selectedJob { get; set; }
+
+        public List<HiveTask> selectedHiveTasks { get; set; }
+        public string message { get; set; }
+        public JobViewModel()
+        {
+            userJobs = null;
+            selectedJob = null;
+            selectedHiveTasks = new List<HiveTask>();
+            message = "";
+        }
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/UploadedJobViewModel.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/UploadedJobViewModel.cs	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/Jobs/UploadedJobViewModel.cs	(revision 13733)
@@ -0,0 +1,32 @@
+﻿using HeuristicLab.Optimization;
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
+{
+    /// <summary>
+    /// Used to show data of uploaded files
+    /// </summary>
+    public class UploadedJobViewModel
+    {
+        public UploadedJobViewModel()
+        {
+            FullDatePaths = new List<string>();
+            DisplayDatePaths = new List<string>();
+            FullFilesPaths = new List<string>();
+            DisplayFilesPaths = new List<string>();
+            SelectedIndex = -1;
+        }
+
+        public List<string> FullDatePaths { get; set; }
+        public List<string> DisplayDatePaths { get; set; }
+        public List<string> FullFilesPaths { get; set; }
+        public List<string> DisplayFilesPaths { get; set; }
+        public int SelectedIndex { get; set; }
+        public string message { get; set; }
+
+        
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/LoginViewModel.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/LoginViewModel.cs	(revision 13712)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/LoginViewModel.cs	(revision 13733)
@@ -7,4 +7,7 @@
 namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
 {
+    /// <summary>
+    /// Used for login
+    /// </summary>
     public class LoginViewModel
     {
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/NavbarViewModel.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/NavbarViewModel.cs	(revision 13733)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ViewModels/NavbarViewModel.cs	(revision 13733)
@@ -0,0 +1,18 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
+{
+    public class NavbarViewModel
+    {
+
+        public string Active { get; set; }
+
+        public NavbarViewModel(string ac)
+        {
+            Active = ac;
+        }
+    }
+}
